Loading...
Searching...
No Matches
itk::GPUInterpolatorBase Class Reference

`#include <itkGPUInterpolatorBase.h>`

## Detailed Description

Base class fro all GPU interpolators.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 36 of file itkGPUInterpolatorBase.h.

Inheritance diagram for itk::GPUInterpolatorBase:
[legend]

## Public Member Functions

virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager () const
virtual bool | GetSourceCode (std::string &source) const

## Protected Member Functions

| GPUInterpolatorBase ()
virtual | ~GPUInterpolatorBase ()=default

## Protected Attributes

GPUDataManager::Pointer | m_ParametersDataManager {}

## Constructor & Destructor Documentation

## GPUInterpolatorBase()

itk::GPUInterpolatorBase::GPUInterpolatorBase | ( |  | ) |

protected

## ~GPUInterpolatorBase()

virtual itk::GPUInterpolatorBase::~GPUInterpolatorBase | ( |  | ) |

protected virtual default

## Member Function Documentation

## GetNameOfClass()

virtual const char * itk::GPUInterpolatorBase::GetNameOfClass | ( |  | ) | const

inline virtual

Run-time type information (and related methods).

Definition at line 41 of file itkGPUInterpolatorBase.h.

## GetParametersDataManager()

virtual GPUDataManager::Pointer itk::GPUInterpolatorBase::GetParametersDataManager | ( |  | ) | const

virtual

Returns data manager that stores all settings for the transform.

Reimplemented in itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, TParentInterpolateImageFunction >, itk::GPUInterpolateImageFunction< TInputImage, float, BSplineInterpolateImageFunction< TInputImage, float, float > >, itk::GPUInterpolateImageFunction< TInputImage, float, LinearInterpolateImageFunction< TInputImage, float > >, itk::GPUInterpolateImageFunction< TInputImage, float, NearestNeighborInterpolateImageFunction< TInputImage, float > >, itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, BSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType > >, and itk::GPUInterpolateImageFunction< TInputImage, TCoordRep, CPUSuperclass >.

## GetSourceCode()

virtual bool itk::GPUInterpolatorBase::GetSourceCode | ( | std::string & | source | ) | const

virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented in itk::GPUBSplineInterpolateImageFunction< TInputImage, TCoordRep, TCoefficientType >, itk::GPUBSplineInterpolateImageFunction< InputImageType, InterpolatorPrecisionType >, itk::GPULinearInterpolateImageFunction< TInputImage, TCoordRep >, and itk::GPUNearestNeighborInterpolateImageFunction< TInputImage, TCoordRep >.

## Field Documentation

## m_ParametersDataManager

GPUDataManager::Pointer itk::GPUInterpolatorBase::m_ParametersDataManager {}

protected

Definition at line 59 of file itkGPUInterpolatorBase.h.

Generated on 1768596610 for elastix by 1.15.0 |